{
	"type": "minecraft:simple_block",
	"config": {
		"to_place": {
			"type": "minecraft:weighted_state_provider",
			"entries": [
				{
					"data": {
						"Name": "minecraft:dandelion"
					},
					"weight": 8
				},
				{
					"data": {
						"Name": "minecraft:poppy"
					},
					"weight": 8
				},
				{
					"data": {
						"Name": "minecraft:blue_orchid"
					},
					"weight": 5
				},
				{
					"data": {
						"Name": "minecraft:allium"
					},
					"weight": 5
				},
				{
					"data": {
						"Name": "minecraft:azure_bluet"
					},
					"weight": 7
				},
				{
					"data": {
						"Name": "minecraft:red_tulip"
					},
					"weight": 5
				},
				{
					"data": {
						"Name": "minecraft:orange_tulip"
					},
					"weight": 5
				},
				{
					"data": {
						"Name": "minecraft:white_tulip"
					},
					"weight": 5
				},
				{
					"data": {
						"Name": "minecraft:pink_tulip"
					},
					"weight": 5
				},
				{
					"data": {
						"Name": "minecraft:oxeye_daisy"
					},
					"weight": 7
				},
				{
					"data": {
						"Name": "minecraft:cornflower"
					},
					"weight": 7
				},
				{
					"data": {
						"Name": "minecraft:lily_of_the_valley"
					},
					"weight": 4
				},
				{
					"data": {
						"Name": "minecraft:sunflower",
						"Properties": {
							"half": "lower"
						}
					},
					"weight": 2
				},
				{
					"data": {
						"Name": "minecraft:lilac",
						"Properties": {
							"half": "lower"
						}
					},
					"weight": 2
				},
				{
					"data": {
						"Name": "minecraft:rose_bush",
						"Properties": {
							"half": "lower"
						}
					},
					"weight": 2
				},
				{
					"data": {
						"Name": "minecraft:peony",
						"Properties": {
							"half": "lower"
						}
					},
					"weight": 2
				}
			]
		}
	}
}
